Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 921972 - media-gfx/krita-5.2.2: version bump
Summary: media-gfx/krita-5.2.2: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL: https://krita.org/en/posts/2023/krita...
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2024-01-12 23:16 UTC by Aliaksei Urbanski
Modified: 2024-07-13 19:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aliaksei Urbanski 2024-01-12 23:16:32 UTC
Hello everyone,

Krita 5.2.2 was released on 07 December, 2023:
  - https://krita.org/en/download/krita-desktop/
  - https://invent.kde.org/graphics/krita/-/tags/v5.2.2

It would be great to have it in Gentoo Linux!
Luckily, some work was already done in this PR:
  - https://github.com/gentoo/gentoo/pull/34736

However, Krita is a complex project, so it certainly takes time.
No pressure.

Thanks in advance!

Reproducible: Always
Comment 1 Andrew Udvare 2024-01-20 04:22:03 UTC
Does this version fix libjxl compatibility? 5.1.5 fails to build against libjxl-0.9.1.
Comment 2 Aliaksei Urbanski 2024-01-25 22:12:28 UTC
(In reply to Andrew Udvare from comment #1)
> Does this version fix libjxl compatibility? 5.1.5 fails to build against
> libjxl-0.9.1.
Hello Andrew,

Sadly no, it doesn't. I've tried to emerge Krita 5.2.2 with libjxl-0.9.1 using Sebastian's PR branch as an overlay and I've found that this version still fails to build.

I know you already know the next thing, but for others I'd like to mention that there's a fix which might be applied to 5.2.2 just as it was applied to 5.1.5:
  - https://invent.kde.org/graphics/krita/-/commit/ace7edcca6ad322581ab39620f21ccf3ffbd3b5a
  - https://bugs.gentoo.org/922524
  - https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4809498c27efa079b477bfcc80b32a403d5e594
Comment 3 Larry the Git Cow gentoo-dev 2024-07-13 18:02:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffd02e2a654e36bfb98be35f57d486a8b7bc9d9f

commit ffd02e2a654e36bfb98be35f57d486a8b7bc9d9f
Author:     Sebastian Parborg <darkdefende@gmail.com>
AuthorDate: 2024-01-10 15:43:49 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-07-13 17:34:38 +0000

    media-gfx/krita: Bump to 5.2.2
    
    Closes: https://bugs.gentoo.org/921972
    
    Signed-off-by: Sebastian Parborg <darkdefende@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 media-gfx/krita/Manifest                         |   1 +
 media-gfx/krita/files/krita-5.2.2-fftw.patch     |  18 +++
 media-gfx/krita/files/krita-5.2.2-openjpeg.patch |  14 +++
 media-gfx/krita/krita-5.2.2.ebuild               | 134 +++++++++++++++++++++++
 media-gfx/krita/metadata.xml                     |   2 +
 5 files changed, 169 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2024-07-13 19:59:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=a9deb0ccf181018c7c6f8144cfdc05307d6fcdd3

commit a9deb0ccf181018c7c6f8144cfdc05307d6fcdd3
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2024-07-13 18:45:12 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2024-07-13 19:55:40 +0000

    media-gfx/krita: enable py3.12, add IUSE media, xsimd; re-add jpeg2k
    
    IUSE raw switched back to kde-apps/libkdcraw
    Upstream commit 02f4f845eaf789d3840805e69bdbb38f131a3cc7
    
    IUSE media w/ media-video/mlt replaces IUSE qtmedia w/ dev-qt/qtmultimedia
    Upstream commits:
    7f976690636071a2387d8ca9c4203edb59489b0d
    c76debce1c39b337bdd21c5dc2048605dc6d267d
    
    New dependency on dev-libs/libunibreak
    Upstream commit 3d0ba2926f576e9dd059c2bed5264cbd8f6adcf6
    
    Rebase tests-optional.patch on 5.2.3
    Upstream commit 2acfac835adf5cb39dd6d9149c739648da060385
    
    Sync with ::gentoo w/ minor sorting fixes, plus:
    
    - Pin down kde-apps/libkdcraw to SLOT 5
    - Raise minimum dep on dev-cpp/xsimd to 13.0.0
    - Drop unnecessary openjpeg patch
    
    See also:
    https://github.com/gentoo/gentoo/pull/34736
    
    Bug: https://bugs.gentoo.org/921972
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-gfx/krita/files/krita-5.2.2-fftw.patch       | 18 ++++++++++++
 ...onal.patch => krita-5.2.3-tests-optional.patch} | 14 +++++++--
 media-gfx/krita/krita-9999.ebuild                  | 33 +++++++++++++++-------
 media-gfx/krita/metadata.xml                       |  3 +-
 4 files changed, 55 insertions(+), 13 deletions(-)
Comment 5 Larry the Git Cow gentoo-dev 2024-07-13 19:59:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07feba52ea302f7ea9205d3a3aaadf88ca764541

commit 07feba52ea302f7ea9205d3a3aaadf88ca764541
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2024-07-13 19:31:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2024-07-13 19:58:44 +0000

    media-gfx/krita: add 5.2.3
    
    Bug: https://bugs.gentoo.org/921972
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-gfx/krita/Manifest                           |   1 +
 .../krita/files/krita-5.2.3-tests-optional.patch   |  90 ++++++++++++++
 media-gfx/krita/krita-5.2.3.ebuild                 | 134 +++++++++++++++++++++
 3 files changed, 225 insertions(+)